Package org.apache.wiki.forms

## Class FormSet

- java.lang.Object
- - org.apache.wiki.forms.FormSet

All Implemented Interfaces:
  `Plugin`

    public class FormSet
    extends java.lang.Object
    implements Plugin

FormSet is a companion WikiPlugin for Form.

The mandatory 'form' parameter specifies which form the variable applies to. Any other parameters are put directly into a FormInfo object that will be available to a Form plugin called 'form' (presumably invoked later on the same WikiPage).

If the name of a FormSet parameter is the same as the name of a Form plugin input element later on the same page, the Form will consider the given value the default for the form field. (However, the handler for the Form is free to use the value as it wishes, and even override it.)

If the name of a parameter is not present in Form input fields, the parameter is presumably meant for sending initial information to the Form handler. If this is the case, you may want to specify the populate='' in the Form open element, otherwise the form won't be displayed on the first invocation.

This object looks for a FormInfo object named FORM_VALUES_CARRIER in the WikiContext. If found, it checks that its name matches the 'form' parameter, and if it does, adds the plugin parameters to the FormInfo. If the names don't match, the old FormInfo is discarded and a new one is created. Only one FormInfo is supported at a time. A practical consequence of this is that a FormSet invocation only applies to the Form plugins that follow it; any further Forms need new FormSet calls.

See Also:
  `FormInfo`

### Field Summary

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

### Constructor Summary

Constructors
`FormSet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `execute​(Context ctx, java.util.Map<java.lang.String,​java.lang.String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FormSet

    public FormSet()

### Method Detail

#### execute

    public java.lang.String execute​(Context ctx,
                                    java.util.Map<java.lang.String,​java.lang.String> params)
                             throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`